# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IFilterCondition

Packages that use IFilterCondition
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IFilterCondition in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IFilterCondition
Modifier and Type
Method
Description
`IFilterCondition`
IReportDesign.`createFilterCondition()`
Create `IFilterCondition`
`IFilterCondition`
IScriptAPIFactory.`createFilterCondition()`
Deprecated.
Create `IFilterCondition`
`IFilterCondition`
ScriptAPIFactory.`createFilterCondition()`
Deprecated.
`static IFilterCondition`
StructureScriptAPIFactory.`createFilterCondition()`
Deprecated.
Create `IFilterCondition`
`IFilterCondition[]`
IListing.`getFilterConditions()`
Returns all filter conditions
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IFilterCondition
Modifier and Type
Method
Description
`void`
IListing.`addFilterCondition(IFilterCondition condition)`
Adds filter condition.expr of IFilterCondition is required.
`void`
IListing.`removeFilterCondition(IFilterCondition condition)`
Removes filter condition.